Generate T2125
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"client_id": "fake_client_id",
"userId": "fake_userId",
"year": 2018,
"businessType": "REAL_ESTATE_AGENT",
"income": [
{
"amount": 10000.01,
"date": "2023-12-25",
"salesTax": 100.01
}
],
"expenses": [
{
"vendorName": "Acme",
"categoryId": "13005023",
"id": "1",
"amount": 100.02,
"hurdlrTaxCategory": "DEDUCTIBLE_MEALS_AND_ENTERTAINMENT",
"lineNumber": "<string>"
}
],
"identificationSection": {
"name": "Henry Earnshaw",
"businessName": "Achme",
"businessNumber": "xxxxxxxxxxxxxxx",
"businessAddress": "4892 MacLaren Street",
"city": "Ottawa",
"province": "ON",
"postalCode": "K1P5M7",
"fiscalPeriodFrom": "20180101",
"fiscalPeriodTo": "20180430",
"mainProductOrService": "Achme",
"industryCode": "xxxxxx"
},
"t2125BusinessOrProfessionalIncomeField": {
"line8000": 123,
"line8290": 123,
"line8230": 123,
"line3P": 123,
"line8299": 123
},
"t2125COGSField": {
"line17": 150000,
"line8300": 0,
"line8320": 0,
"line8340": 0,
"line8360": 0,
"line8450": 0,
"line18": 0,
"line8500": 0,
"line8518": 0,
"line19": 0,
"line8519": 150000
},
"t2125CCOGSField": {
"line17": 150000,
"line8300": 0,
"line8320": 0,
"line8340": 0,
"line8360": 0,
"line8450": 0,
"line18": 0,
"line8500": 0,
"line8518": 0,
"line19": 0,
"line8519": 150000
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125"
payload = {
"client_id": "fake_client_id",
"userId": "fake_userId",
"year": 2018,
"businessType": "REAL_ESTATE_AGENT",
"income": [
{
"amount": 10000.01,
"date": "2023-12-25",
"salesTax": 100.01
}
],
"expenses": [
{
"vendorName": "Acme",
"categoryId": "13005023",
"id": "1",
"amount": 100.02,
"hurdlrTaxCategory": "DEDUCTIBLE_MEALS_AND_ENTERTAINMENT",
"lineNumber": "<string>"
}
],
"identificationSection": {
"name": "Henry Earnshaw",
"businessName": "Achme",
"businessNumber": "xxxxxxxxxxxxxxx",
"businessAddress": "4892 MacLaren Street",
"city": "Ottawa",
"province": "ON",
"postalCode": "K1P5M7",
"fiscalPeriodFrom": "20180101",
"fiscalPeriodTo": "20180430",
"mainProductOrService": "Achme",
"industryCode": "xxxxxx"
},
"t2125BusinessOrProfessionalIncomeField": {
"line8000": 123,
"line8290": 123,
"line8230": 123,
"line3P": 123,
"line8299": 123
},
"t2125COGSField": {
"line17": 150000,
"line8300": 0,
"line8320": 0,
"line8340": 0,
"line8360": 0,
"line8450": 0,
"line18": 0,
"line8500": 0,
"line8518": 0,
"line19": 0,
"line8519": 150000
},
"t2125CCOGSField": {
"line17": 150000,
"line8300": 0,
"line8320": 0,
"line8340": 0,
"line8360": 0,
"line8450": 0,
"line18": 0,
"line8500": 0,
"line8518": 0,
"line19": 0,
"line8519": 150000
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
client_id: 'fake_client_id',
userId: 'fake_userId',
year: 2018,
businessType: 'REAL_ESTATE_AGENT',
income: [{amount: 10000.01, date: '2023-12-25', salesTax: 100.01}],
expenses: [
{
vendorName: 'Acme',
categoryId: '13005023',
id: '1',
amount: 100.02,
hurdlrTaxCategory: 'DEDUCTIBLE_MEALS_AND_ENTERTAINMENT',
lineNumber: '<string>'
}
],
identificationSection: {
name: 'Henry Earnshaw',
businessName: 'Achme',
businessNumber: 'xxxxxxxxxxxxxxx',
businessAddress: '4892 MacLaren Street',
city: 'Ottawa',
province: 'ON',
postalCode: 'K1P5M7',
fiscalPeriodFrom: '20180101',
fiscalPeriodTo: '20180430',
mainProductOrService: 'Achme',
industryCode: 'xxxxxx'
},
t2125BusinessOrProfessionalIncomeField: {line8000: 123, line8290: 123, line8230: 123, line3P: 123, line8299: 123},
t2125COGSField: {
line17: 150000,
line8300: 0,
line8320: 0,
line8340: 0,
line8360: 0,
line8450: 0,
line18: 0,
line8500: 0,
line8518: 0,
line19: 0,
line8519: 150000
},
t2125CCOGSField: {
line17: 150000,
line8300: 0,
line8320: 0,
line8340: 0,
line8360: 0,
line8450: 0,
line18: 0,
line8500: 0,
line8518: 0,
line19: 0,
line8519: 150000
}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfT2125', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://s3.amazonaws.com/Tight-Dev/Reports/Temp/c2cd0cf0-bd33-4fe7-844f-9e90df7575ec/ScheduleC_2018.pdf",
"status": "SUCCESS"
}Tax Engine Express
Generate T2125
Generate a T2125 PDF
POST
/
v5
/
taxEngineExpress
/
pdfT2125
Generate T2125
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
tax calculation parameters
The client_id of the Tight Partner
Example:
"fake_client_id"
An anonymized userId, used for tracking API usage. The Tight Partner decides how to anonymize it.
Example:
"fake_userId"
The T2125 form year
Example:
2018
The business type of the user
Available options:
DRIVER, REAL_ESTATE_AGENT, CONSULTANT, SALES, FREELANCER, HOST, E_COMMERCE, INSURANCE_AGENT, RETAIL, OTHER Example:
"REAL_ESTATE_AGENT"
Income transaction array
Show child attributes
Show child attributes
Expense transaction array
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I